## sosreport 2.3~git20130509

=== debian/changelog ===
sosreport (2.3~git20130509-1) unstable; urgency=low

  * Package updated from git rev 395ad13da8
    Closes: #698329

 -- Adam Stokes <adam.stokes@ubuntu.com>  Fri, 31 May 2013 12:12:46 -0400
