=== debian/control ===
Source: sosreport
Maintainer: Adam Stokes <adam.stokes@ubuntu.com>
Section: admin
Priority: optional
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 9), python (>=2.7), gettext, python-nose
Homepage: https://github.com/sosreport/sosreport

Package: sosreport
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}
Description: Set of tools to gather troubleshooting data from a system
 Sos is a set of tools that gathers information about system
 hardware and configuration. The information can then be used for
 diagnostic purposes and debugging. Sos is commonly used to help
 support technicians and developers.
