=== debian/rules ===
#!/usr/bin/make -f

DH_ALWAYS_EXCLUDE=.git

%:
	dh $@ --with python2

override_dh_auto_test:
