## sosreport 3.0

=== debian/changelog ===
sosreport (3.0-1~ubuntu13.04.1) raring-backports; urgency=low

  * No-change backport to raring (LP: #1206118)

 -- Felix Geyer <debfx@ubuntu.com>  Tue, 30 Jul 2013 18:25:16 +0200

sosreport (3.0-1) unstable; urgency=low

  * New upstream release v3.0
    Features include:
    - Openstack, MAAS, Juju, and other cloud technologies
    - Extended policies to allow for easier cross distribution support.
    - Cross distribution support for Debian, Ubuntu, Fedora, and
      Red Hat Enterprise Linux
    - Increase execution speed of plugins
  * Fixes traceback error in the utilities log (Closes: #717401)
  * debian/copyright:
    - Add Company contributions notices in AUTHORS file.
  * setup.py:
    - Added to support packaging python modules via distutils.
  * debian/rules:
    - Fix build instructions to package sosreport as a private module.
  * debian/control:
    - Use XS-Python-Version and remove debian/pyversions.
  * tests/archive_tests.py:
    - Update unittests to work with latest api changes in the new release.

 -- Adam Stokes <adam.stokes@ubuntu.com>  Sun, 21 Jul 2013 20:35:04 -0400
