=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Maintainer: Adam Stokes <adam.stokes@ubuntu.com>
 Section: admin
 Priority: optional
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 9), python (>=2.7), gettext, python-nose
 Homepage: https://github.com/sosreport/sosreport
+XS-Python-Version: 2.7
 
 Package: sosreport
 Architecture: any
