=== debian/rules ===
#!/usr/bin/make -f

DH_ALWAYS_EXCLUDE=.git

%:
	dh $@ --with python2

override_dh_auto_install:
	python setup.py \
	install \
	--install-lib=usr/share/sosreport/ \
	--install-data=usr/ \
	--install-scripts=usr/share/sosreport/ \
	--root=$(CURDIR)/debian/sosreport/ \
	--no-compile -O0

override_dh_clean:
	rm -rf build/
	rm -rf dist/
	find . -name '*.pyc' -delete
