=== debian/watch ===
version=3
https://github.com/sosreport/sosreport/releases/tag/r3.0 /sosreport/sosreport/archive/r3.0.tar.gz
