## sosreport 3.1

=== debian/changelog ===
sosreport (3.1-1ubuntu2) trusty; urgency=medium

  * Fix spurious "command not found" messages when running (LP: #1303745)
  * Add collection of /var/log/cloud-init*.log files (LP: #1301819)
  * Add collection of configuration files in /etc/network/interfaces.d (LP: #1303723)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 08 Apr 2014 08:58:08 -0500

sosreport (3.1-1ubuntu1) trusty; urgency=low

  * Fix issues with using sosreport -a. (LP: #1302808) 
  * Don't collect cobbler isos. (LP: #1302837)
  * Update standards version.

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Fri, 04 Apr 2014 15:40:13 -0500

sosreport (3.1-1) sid; urgency=low

  * New upstream release v3.1
    Features include:
    - Full Python 3 support
    - Further modularized openstack plugins
  * debian/rules:
    - Use pybuild
  * debian/control:
    - Use X-Python-Version: >= 3.3

 -- Adam Stokes <adam.stokes@ubuntu.com>  Wed, 15 Jan 2014 16:58:54 -0500
