## sosreport 3.2

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,11 @@
 #
 
 NAME	= sos
-VERSION = $(shell echo `awk '/^Version:/ {print $$2}' sos.spec`)
-MAJOR   = $(shell echo $(VERSION) | cut -f 1 -d '.')
-MINOR   = $(shell echo $(VERSION) | cut -f 2 -d '.')
-RELEASE = $(shell echo `awk '/^Release:/ {gsub(/\%.*/,""); print $2}' sos.spec`)
-REPO = https://github.com/sosreport/sosreport
+VERSION := $(shell echo `awk '/^Version:/ {print $$2}' sos.spec`)
+MAJOR   := $(shell echo $(VERSION) | cut -f 1 -d '.')
+MINOR   := $(shell echo $(VERSION) | cut -f 2 -d '.')
+RELEASE := $(shell echo `awk '/^Release:/ {gsub(/\%.*/,""); print $2}' sos.spec`)
+REPO = https://github.com/sosreport/sos
 
 SUBDIRS = po sos sos/plugins sos/policies
 PYFILES = $(wildcard *.py)
@@ -69,10 +69,6 @@
 rpm: clean $(NAME)-$(VERSION).tar.gz
 	$(RPM_WITH_DIRS) -tb $(DIST_BUILD_DIR)/$(NAME)-$(VERSION).tar.gz
 
-deb: clean $(NAME)-$(VERSION).tar.gz
-	@mv $(DIST_BUILD_DIR)/$(NAME)-$(VERSION).tar.gz ../$(NAME)-$(MAJOR)_$(MINOR).orig.tar.gz
-	@debuild -us -uc -i
-
 po: clean
 	mkdir -p $(PO_DIR)
 	for po in `ls po/*.po`; do \
