=== debian/changelog ===
sosreport (3.2-2~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1403263)

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 21 Dec 2014 12:17:47 +0100

sosreport (3.2-2) unstable; urgency=medium

  * fix archive permissions regression
    Closes: #769521

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Fri, 14 Nov 2014 10:55:34 +0100

sosreport (3.2-1) unstable; urgency=medium

  * Profiles for plugin selection
  * Improved log size limiting
  * File archiving enhancements and robustness improvements
  * Global plugin options:
        --verify, --log-size, --all-logs
  * Better plugin descriptions
  * Improved journalctl log capture
  * PEP8 compliant code base
  * oVirt support improvements
  * New plugins: hpasm, ctdb, dbus, oVirt engine hosted,
        MongoDB, ActiveMQ, OpenShift 2.0, MegaCLI, FCoE,
        python, Ubuntu, NUMA, Team network driver

 -- Adam Stokes <adam.stokes@ubuntu.com>  Sun, 12 Oct 2014 12:47:23 -0400

sosreport (3.1-1) unstable; urgency=low

  * New upstream release v3.1
    Features include:
    - Full Python 3 support
    - Further modularized openstack plugins
  * debian/rules:
    - Use pybuild
  * debian/control:
    - Use X-Python-Version: >= 3.3

 -- Adam Stokes <adam.stokes@ubuntu.com>  Wed, 15 Jan 2014 16:58:54 -0500
