=== debian/control ===
Source: sosreport
Maintainer: Louis Bouchard <louis.bouchard@ubuntu.com>
Uploaders: Adam Stokes <adam.stokes@ubuntu.com>
Section: admin
Priority: optional
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), dh-python, python3-all, gettext, python3-nose, python3-six
Homepage: https://github.com/sosreport/sos
X-Python3-Version: >= 3.3

Package: sosreport
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-six
Description: Set of tools to gather troubleshooting data from a system
 Sos is a set of tools that gathers information about system
 hardware and configuration. The information can then be used for
 diagnostic purposes and debugging. Sos is commonly used to help
 support technicians and developers.
