=== debian/watch ===
version=3
https://github.com/sosreport/sos/releases/tag/3.0 /sosreport/sos/archive/(.+).tar.gz
