## sosreport 3.2+git276-g7da50d6

=== debian/changelog ===
sosreport (3.2+git276-g7da50d6-3ubuntu1) xenial; urgency=medium

  * Cherry-pick upstream patch to enable s390 plugin.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 08 Mar 2016 11:41:25 +0000

sosreport (3.2+git276-g7da50d6-3build1) xenial; urgency=medium

  * No change rebuild to drop python3.4 support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2016 14:45:25 +0000

sosreport (3.2+git276-g7da50d6-3) sid; urgency=medium

  * Fix CVE-2015-7529 - predictable tmp files usage

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Thu, 10 Dec 2015 14:17:18 +0100

sosreport (3.2+git276-g7da50d6-2) sid; urgency=medium

  * Added comprehensive changelog for previous upload
  * [activemq] - Honour all_logs and get config on RHEL
  * [apache] - Added collection of conf.modules.d dir for httpd 2.4
  * [apparmor] - Capture AppArmor profiles and status
  * [apport] - Add information on specific crashes
             - Move apport logging to apport plugin
  * [atomic] - Add plugin for Atomic Host
  * [block] - add 'blockdev --report'
          - collect /proc/diskstats
  * [boot] - Collect efibootmgr output
  * [ceph] - add calamari-server and librados2 to the package list (upstream/pmoravec-ceph-update)
         - add logs, report and calamari conf
  * [chrony] - add chrony plugin
  * [cluster] - add a couple pcs commands to the cluster plugin
            - add luci to packages for standalone luci servers
            - enable crm_report password scrubbing (upstream/sbradley-cluster_scrub_passwords)
  * [corosync] - add postprocessing for corosync-objctl output
  * [corosync/pacemaker] - Collect corosync-cfgtool -s output / add Pacemaker support
  * [devices] - New plugin to collect "udevadm info --export-db"
  * [docker] - add 'docker' to the package list for Red Hat distros
             - use splitelines() for command output
  * [docs] - add --chroot to sosreport.1
           - add --experimental to sosreport.1
           - Add prominent link to user focused docs
           - add -s/--sysroot to sosreport.1
           - fix documentation of --sysroot parameter
           - update man page for new options
  * [dpkg] - Collect debconf db, add verify and all logs options
  * [etcd] - split etcd functionality from kubernetes into new plugin
  * [firewalld] - work around command hangs in container environments
  * [foreman] - Skip collection of generic resources
  * [gdm] - add journalctl logs and systemctl status
  * [general] - Better handling --name and --ticket-number in interactive mode
  * [global] - make all utf-8 handling use errors='ignore'
  * [infiniband] - add opensm and infiniband-diags support
  * [iprconfig] - add plugin for IBM Power RAID adapters
  * [iscsi] - get iscsiadm -m node -P 1 instead of -P 3
  * [juju] - add generate-bundle option
           - Update log collection to have limits
  * [kernel] - collect directory listings for module updates
             - collect /sys/firmware/acpi/*
             - Collect clock source for all kernels
  * [kimchi] - add new plugin
  * [kubernetes] - add journal output for kube services
                 - add services and pod logs collection
                 - Change 'minions' to 'nodes'.
                 - new plugin
  * [landscape] - 15.01 moves logs files to landscape-server
                - Collect landscape status
                - Move landscape logs, add server support
  * [last] - information about login actions
  * [libvirt] - add listing of /var/lib/libvirt/qemu
              - Collect XML files from /var/run/libvirt
  * [lightdm] - add plugin
  * [logs] - add to storage profile
           - Implement all-logs, limits and small fixes.
           - Remove passwords from rsyslog
  * [manageiq] - New plugin for ManageIQ
  * [memory] - add ksm, swap and vmallocinfo data to plugin
             - collect swapon --show output in bytes
  * [monit] - add new plugin for monit monitoring
  * [mpt] - add plugin
  * [mysql] - Collect log file (upstream/sbradley-mysql_config_file)
            - improve handling of dbuser, dbpass and MYSQL_PWD
            - obtain dbpass from the environment
            - test for boolean values in user and password options
  * [navicli] - catch exception if input is unreadable
  * [networking] - add ethtool -d
                 - additional ip, firewall and traffic shaping commands
                 - brctl command is run when bridge kernel module is loaded only
                 - Collect "ethtool -T $NIC"
                 - Collect plotnetcfg output.
                 - Enable the networking on debian based systems
                 - gather per-namespace ip and ethtool data
                 - improve readability of nmcli handling
                 - iptables: check module version and do ipv6
                 - nmcli status is obtained from the output
                 - re-add 'ip addr' with a root symlink
  * [ntp] - Collect "ntpq -p" output
  * [openshift] - collect additional config files
                - Obfuscate DNS plugin credentials
                - Obfuscate only DNS plugin credential values
  * [openstack] - Add new controller and compute profiles.
                - Ensure openstack passwords and secrets are obfuscated.
                - New Ironic plugin.
                - New openstack_instack plugin.
                - New Openstack Trove (DBaaS) plugin.
  * [openstack_glance] - ensure class naming is consistent
  * [openstack_heat] - ensure class naming is consistent
  * [openstack_horizon] - Only use regex against configuration files
                        - fix legacy component detection test (upstream/bmr-openstack_neutron-pkgcheck)
                        - obfuscate server_auth in restproxy.ini
                        - Obscure passwords and secrets
  * [openstack_nova] - Limit log collection to .log files by default
  * [openstack_sahara] - add new plugin
                       - redact secrets from sahara configuration
  * [openstack_swift] - capture all swift logs

