## sosreport 3.3

=== debian/changelog ===
sosreport (3.3-1) unstable; urgency=medium

  * New upstream release. This release includes a number of enhancements,
    new features, and bug fixes, including:

    - Support for OpenShift Enterprise 3.x
    - Improved and expanded OpenStack plugins
    - Enhanced support for Open vSwitch
    - Enhanced Kubernetes data collection
    - Improved support for systemd journal collection
    - Policy support for the SuSE family of Linux distributions
    - Policy support for the IBMKvm hypervisor distribution
    - Enhanced display manager and 3D acceleration data capture
    - Improved support for Linux clusters, including Pacemaker
    - Expanded CPU and NUMA topology collection
    - Expanded mainframe (s390x) coverage
    - Collection of multipath topology
 
  * Debian modifications :
    - Addition of DEP8 tests
    - Do not run Python2 only tests

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 05 Jul 2016 10:04:55 +0200
