=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: sosreport
-Maintainer: Louis Bouchard <louis.bouchard@ubuntu.com>
-Uploaders: Adam Stokes <adam.stokes@ubuntu.com>
+Maintainer: Adam Stokes <adam.stokes@ubuntu.com>
 Section: admin
 Priority: optional
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), dh-python, python3-all, gettext, python3-nose, python3-six
 Homepage: https://github.com/sosreport/sos
 X-Python3-Version: >= 3.3
