## sosreport 3.3+git50-g3c0349b

=== debian/changelog ===
sosreport (3.3+git50-g3c0349b-2) unstable; urgency=medium

  * Fix sosreport displaying the wrong version number when
    executed (Closes: #850922)
  * Raise the standard version to 3.9.8

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Wed, 11 Jan 2017 10:43:37 +0100

sosreport (3.3+git50-g3c0349b-1) unstable; urgency=medium

  New release to allign to upstream release :
    * make class method instance names consistent
    * handle SIGTERM correctly in plugin setup()/collect() phases
    * Mention python3 and update Ubuntu note.
    * replace cluster plugin by dlm in sosreport help
    * plugin tracebacks when net-tools not installed
    * [sssd] Retrieve drop directory conf files
    * [openstack_sahara] capture all sahara* sudoers files
    * [systemd] Collect detailed runtime info on each unit
    * [juju] Get Ready for 2.0 and make it less likely to get too much
    * [dracut] add new plugin
    * [insights] Update some verbiage and collect all log files.
    * [docs] document use of --config with in-tree builds
    * [docker] Gather more data and expand plugin options
    * [osma] add omreport storage controller
    * [atomichost] fix collection of 'docker info' output
    *              improve 'atomic info' collection loop
    *              replace custom logic with Policy.in_container()
    *              fix option list style
    * [grub2] grub2-mkconfig loads ext4 and brctl kernel modules
    * [ceph] skip collecting of all keyring and bindpass files
    * new plugin npm : get project modules and globally installed modules
    * new plugin nodejs: get runtime info
    * new plugin virtwho: for virt-who agent

  Debian specific changes :
    * Fix mknod error in systemd plugin when sosreport is running
      in LXC containers

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Thu, 08 Dec 2016 12:37:48 +0100
