=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Adam Stokes <adam.stokes@ubuntu.com>
 Section: admin
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), dh-python, python3-all, gettext, python3-nose, python3-six
 Homepage: https://github.com/sosreport/sos
 X-Python3-Version: >= 3.3
