## sosreport 3.4

=== debian/changelog ===
sosreport (3.4-1~ubuntu17.04.1) zesty; urgency=medium

  * Release of the current artful 3.4 version that fixes some                                                    
    specific Ubuntu issues :                                                                                       
    - Collection of the OPAL msglog (LP: #1614052)                                                                 
    - Add ZFS sosreport plugin (LP: #1666239)
  * Ubuntu specific modifications to sosreport not yet upstream :                                                  
    - Inclusion of DEP8 tests to verify regression. This is required                                               
      to SRU to a new major version.                                                                               
    - Take into account the iscsi initiator config and logs (LP: #1605243)                                         
    - d/p/0003-plugins-Handle-stat-errors-on-missing-files.patch:
      Properly handle os.stat() when file is missing or broken link

 -- Louis Bouchard <louis@ubuntu.com>  Tue, 25 Apr 2017 16:51:14 +0200

sosreport (3.4-1) unstable; urgency=medium

  * New upstream release v3.4
    New Features include :
        New plugins for :
        * virt-who
        *  nodejs
        *  npm
        *  dracut
        *  juju 2.0
        *  grafana
        *  nfsganesha
        *  collectd
        *  canonical_livepatch
        *  jars
        *  salt
        *  saltmaster
        *  storageconsole
        *  gnocchi
        *  crypto
        *  azure/Red Hat
        *  zfs
        Plugin API enhancements
        Internationalisation updates

  * Debian modifications :
    - Addition of DEP8 tests
    - Do not run Python2 only tests
    - d/p/0002-iscsi-Enable-plugin-for-Ubuntu-and-Debian.patch:
      Take into account the iscsi initiator config and logs

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Wed, 05 Apr 2017 13:30:22 +0200

sosreport (3.3+git50-g3c0349b-3) unstable; urgency=medium

  * d/p/0003-iscsi-Enable-plugin-for-Ubuntu-and-Debian.patch:
    Take into account the iscsi initiator config and logs (LP: #1605243)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Thu, 16 Feb 2017 16:32:07 +0100
