=== debian/changelog ===
sosreport (3.5-1~ubuntu14.04.3) trusty; urgency=medium

  * d/p/Fix-string-decoding-for-debug-log-output.patch:
    Fix bug in _collect_strings that causes error trying to str.decode()
    (LP: #1761442)

 -- Dan Streetman <ddstreet@canonical.com>  Tue, 05 Jun 2018 10:52:56 -0400

sosreport (3.5-1~ubuntu14.04.2) trusty; urgency=medium

  * d/p/0003-fix-name-containers-is-not-defined.patch:
    "containers" is an unknown variable, "insp" is the correct one.
    (LP: #1734983)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Thu, 25 Jan 2018 16:01:03 -0500

sosreport (3.5-1~ubuntu14.04.1) trusty; urgency=medium

  * New upstream release v3.5 (LP: #1734983)
    New features include :
        New plugins for :
        * perl
        * boom
        * vdo
        * os_net_config
        * conntrackd
        * ovirt_imageio
        * nss
        * sas3ircu
        * openstack_aodh
        * docker_distribution
        * gluster_block
        * snappy

  * Plugin API enhancements
        * Plugin triggers by executable name
        * Improved log size limit handling
        * Better handling of compressed log files
        * Per-plugin package verification lists

  * Updates to 227 plugins

  * Debian modifications:
    - Addition of DEP8 tests
    - Do not run Python2 only tests

  * d/p/0002-reset-to-expected-variable-order-for-packagemanager.patch:
    Fixing severe regression where many "packages = <PKG_NAME>" lines are no
    longer working in Debian/Ubuntu. Preventing automatic package detection.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 03 Jan 2018 17:23:29 -0500

sosreport (3.4-1~ubuntu14.04.1) trusty; urgency=medium

  * Release of the current artful 3.4 version that fixes some                                                    
    specific Ubuntu issues :                                                                                       
    - Collection of the OPAL msglog (LP: #1614052)                                                                 
    - Add ZFS sosreport plugin (LP: #1666239)
  * Ubuntu specific modifications to sosreport not yet upstream :                                                  
    - Inclusion of DEP8 tests to verify regression. This is required                                               
      to SRU to a new major version.                                                                               
    - Take into account the iscsi initiator config and logs (LP: #1605243)                                         
    - d/p/0003-plugins-Handle-stat-errors-on-missing-files.patch:
      Properly handle os.stat() when file is missing or broken link

 -- Louis Bouchard <louis@ubuntu.com>  Tue, 25 Apr 2017 16:34:41 +0200
