## sosreport 3.6

=== debian/changelog ===
sosreport (3.6-1) unstable; urgency=medium

  * New 3.6 upstream release.
    major enhancements to core features and existing plugins:

    - better package manager version information
    - policy support for detecting package managed files
    - fixed exit status propagation
    - deprecated optparse replaced with argparse
    - simplified and improved SoSOptions interface
    - better error handling during interactive prompting
    - allow journal collection by identifier
    - allow collection of journal message catalogs
    - support for collecting binary file data
    - more fine-grained system plugins (date etc.)
    - policy defined report file name patterns
       - more human-readable report file names by default
    - increased default log size (25MiB vs. 10MiB)
    - support for forbidden path lists and forbid logging
    - support for enabling plugins by kernel module name
    - support for enabling plugins by executable name
    - support for collecting eBPF (bpftool) data
    - support for device information via add_udev_info()
    - support for detecting and reporting unpackaged binaries
    - optional collection of the RPMDB
    - improved archive compression level and multithreading
    - default log size increased from 10MiB to 25MiB
    - improved debug logging and ENOSPC handling
    - major updates to the IPA plugin
    - major updates to the Docker plugin
    - string decoding fixes
    - DNF and Yum module support
    - OpenShift 3.10 support
    - Python3 fixes

  Further release information and tarballs are available at:
    https://github.com/sosreport/sos/releases/tag/3.6

  * Debian specific modifications :
    - Omit Python2 only unittests
    - Avoid distutils in lstopo plugin

  * Former debian modifications now fixed upstream:
    - d/p/0002-reset-to-expected-variable-order-for-packagemanager.patch:
    - d/p/0003-fix-name-containers-is-not-defined.patch:
    - Fix-string-decoding-for-debug-log-output.patch

 -- Louis Bouchard <louis@ubuntu.com>  Mon, 24 Sep 2018 09:24:07 +0000

sosreport (3.5-1ubuntu4) cosmic; urgency=medium

  * d/p/Fix-string-decoding-for-debug-log-output.patch:
    Fix bug in _collect_strings that causes error trying to str.decode()
    (LP: #1761442)

 -- Dan Streetman <ddstreet@canonical.com>  Tue, 05 Jun 2018 10:52:56 -0400

sosreport (3.5-1ubuntu3) bionic; urgency=medium

  * Avoid using distutils during runtime.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Apr 2018 10:48:13 +0200

sosreport (3.5-1ubuntu2) bionic; urgency=medium

  * d/p/0003-fix-name-containers-is-not-defined.patch:
    "containers" is an unknown variable, "insp" is the correct one.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 15 Jan 2018 18:39:54 -0500

sosreport (3.5-1ubuntu1) bionic; urgency=medium

  * d/p/0002-reset-to-expected-variable-order-for-packagemanager.patch:
    Fixing severe regression where many "packages = <PKG_NAME>" lines are no
    longer working in Debian/Ubuntu. Preventing automatic package detection.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Tue, 05 Dec 2017 17:04:34 +0000

sosreport (3.5-1) unstable; urgency=medium

  * testNew upstream release v3.5
    New Features include :
        New plugins for :
        * perl
        * boom
        * vdo
        * os_net_config
        * conntrackd
        * ovirt_imageio
        * nss
        * sas3ircu
        * openstack_aodh
        * docker_distribution
        * gluster_block
        * snappy

    Plugin API enhancements
        * Plugin triggers by executable name
        * Improved log size limit handling
        * Better handling of compressed log files
        * Per-plugin package verification lists

    Updates to 227 plugins

  * Debian modifications :
    - Addition of DEP8 tests
    - Do not run Python2 only tests

 -- Louis Bouchard <louis@ubuntu.com>  Thu, 16 Nov 2017 12:53:34 +0100
