=== debian/control ===
--- 
+++ 
@@ -1,11 +1,15 @@
 Source: sosreport
-Maintainer: Adam Stokes <adam.stokes@ubuntu.com>
+Maintainer: Louis Bouchard <louis.bouchard@ubuntu.com>
+Uploaders: Eric Desrochers <slashd@ubuntu.com>
 Section: admin
 Priority: optional
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), dh-python, python3-all, gettext, python3-nose, python3-six
+Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 9), dh-python, python3-all, gettext, python3-nose, python3-six,
+		python-futures
 Homepage: https://github.com/sosreport/sos
 X-Python3-Version: >= 3.3
+Vcs-Browser: https://salsa.debian.org/sosreport-team/sosreport
+Vcs-Git: git@salsa.debian.org:sosreport-team/sosreport.git
 
 Package: sosreport
 Architecture: any
